using System.ComponentModel;

namespace Hotline.Share.Enums.Settings
{
    public enum ETableAccessLevel
    {
        [Description("拒绝访问")]
        Deny = 0,

        /// <summary>
        /// 创建人
        /// </summary>
        [Description("创建人")]
        Creator = 1,

        /// <summary>
        /// 本部
        /// </summary>
        [Description("本部")]
        Org = 10,

        /// <summary>
        /// 本部及以下
        /// </summary>
        [Description("本部及以下")]
        OrgAndBelow = 20,

        /// <summary>
        /// 全部可见
        /// </summary>
        [Description("全部可见")]
        All = 99,
    }
}
